Welcome to our community

Be a part of something great, join today!

Resource icon

Advanced Poll Options 2.0

No permission to download
Overview:

This product allows you to designate certain usergroups whose members will have access to the advanced poll voting permission options that you select as active. These advanced options are on a per poll basis, that is, each poll can have its own set of advanced permission settings. The setting from which you can choose are:

Minimum Post Count: Users will be required to have at least the designated number of posts before being able to vote on polls.
Minimum Length Of Membership: Users will be required to have been a member of the forum for at least the designated number of days before being able to vote on polls.
Recent Post Requirement: Users will have to have posted during the last number of designated days before being able to vote on polls.
Reputation Points: Users will be required to have at least the designated number of reputation points before being able to vote on polls.
Infraction Points: Users will be required to have no more than the designated number of infraction points before being able to vote on polls.
User Groups: Users will be required to be a member of at least one of the designated usergroups before being allowed to vote on polls.

As of version 2.0, you now have global settings that will apply to all polls, and can only be overridden by users with access to the advanced options.

A user who has access to these advanced options, will see them when creating/editing a poll as follows:

markfl_advancedpolls_options.png


Updates:

Version 1.0.1:


  • Minor bug fixes.

Version 1.1:

  • Product now overrides usergroup and forum permissions to allow members of designated usergroups to vote.

Version 1.2:

  • When editing polls, entries with 0 as value display as blank.

Version 1.3:

  • Added setting to allow for selecting managing usergroups who can restrict poll voting by usergroup.

Version 1.4:

  • Added "Infraction Points" as an advanced poll option.

Version 1.5:

  • Added the option to require users to reply first to the poll thread before being allowed to vote.

Version 2.0:

  • Added settings for global options, that can only be overridden by users with access to the per poll advanced options.

Compatibility:

Tested and working on VB 4.2.x and may work on all 4.x versions of vBulletin.

Backup/Warning:

This product does alter your database, however it is always good practice to make regular backups and you should make a backup before installing ANY new mod.

As always, products are USE AT YOUR OWN RISK. I will provide support and do my best to help but no absolute guarantee is offered.

To Install:

  • Download and extract the attached .zip file.
  • Follow AdminCP -> Plugins & Products -> Manage Products -> Add/Import Product.
  • Click on "Choose File" and browse to the product .xml file that was packaged in the .zip file.
  • Click "Import."
  • You MUST enable the product in the settings before it will function.
  • Configure the remaining settings to your liking. Each setting has a detailed explanation of its use.
markfl_advancedpolls_acp.png
  • Like
Reactions: anemone
Author
MarkFL
Downloads
1
Views
206
First release
Last update
Rating
0.00 star(s) 0 ratings

More resources from MarkFL